function gaussian_kernel, sigma,double=double

if ~exist(sigma) then message,'Please call the function: result= gaussian_kernel(sigma)'
if (sigma gt 0) then begin
   kernel_size = ceil(3*sigma)
   kernel_index = findgen(2*kernel_size+1)-kernel_size
   kernel_grid=meshgrid(kernel_index,kernel_index)
   kernel = exp(-0.5*((kernel_grid[*,*,0]/sigma)^2+(kernel_grid[*,*,1]/sigma)^2));
   kernel = kernel/total(kernel);
endif else begin 
   kernel = 1;
   kernel_size = 1;
   kernel_index  = 1;
endelse
if keyword_set(double) then kernel=double(kernel)
return,kernel

end